Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.semanticweb.owlapi.owllink.renderer
Enum BuiltinRequestVocabulary

    java.lang.Object
      java.lang.Enum<BuiltinRequestVocabulary>
          org.semanticweb.owlapi.owllink.renderer.BuiltinRequestVocabulary

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BuiltinRequestVocabulary>

    public enum BuiltinRequestVocabulary

extends java.lang.Enum<BuiltinRequestVocabulary>

Author:
  Olaf Noppens

Enum Constant Summary
`CREATEKB`
`GetDescription`
`TELL`

Method Summary
`IRI` | `getIRI()`
`java.lang.String` | `getShortName()`
`java.net.URI` | `getURI()`
`java.lang.String` | `toString()`
`static BuiltinRequestVocabulary` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BuiltinRequestVocabulary[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CREATEKB

    public static final BuiltinRequestVocabulary CREATEKB

### GetDescription

    public static final BuiltinRequestVocabulary GetDescription

### TELL

    public static final BuiltinRequestVocabulary TELL

Method Detail

### values

    public static BuiltinRequestVocabulary[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BuiltinRequestVocabulary c : BuiltinRequestVocabulary.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BuiltinRequestVocabulary valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getIRI

    public IRI getIRI()

### getURI

    public java.net.URI getURI()

### getShortName

    public java.lang.String getShortName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<BuiltinRequestVocabulary>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD